com.tibbo.aggregate.common.util

## Class ReflectUtils

- java.lang.Object
- - com.tibbo.aggregate.common.util.ReflectUtils

-     public class ReflectUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <F,T> void` | `copyProperties(F from, java.lang.Class<F> stopFromClass, T to, java.lang.Class<T> stopToClass)`
    `static java.lang.Object` | `getPrivateField(java.lang.Object obj, java.lang.String fieldName)`
    `static java.lang.Object` | `getPrivateField(java.lang.Object obj, java.lang.String fieldName, java.lang.Class c)`
    `static void` | `setPrivateField(java.lang.Object obj, java.lang.String fieldName, java.lang.Object value)`
    `static void` | `setPrivateField(java.lang.Object obj, java.lang.String fieldName, java.lang.Object value, java.lang.Class c)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectUtils

          public ReflectUtils()

  - ### Method Detail

    - #### getPrivateField

          public static java.lang.Object getPrivateField(java.lang.Object obj,
                                                         java.lang.String fieldName)

    - #### getPrivateField

          public static java.lang.Object getPrivateField(java.lang.Object obj,
                                                         java.lang.String fieldName,
                                                         java.lang.Class c)
                                                  throws java.lang.NoSuchFieldException,
                                                         java.lang.IllegalAccessException

      Throws:
        `java.lang.NoSuchFieldException`
        `java.lang.IllegalAccessException`

    - #### setPrivateField

          public static void setPrivateField(java.lang.Object obj,
                                             java.lang.String fieldName,
                                             java.lang.Object value)

    - #### setPrivateField

          public static void setPrivateField(java.lang.Object obj,
                                             java.lang.String fieldName,
                                             java.lang.Object value,
                                             java.lang.Class c)
                                      throws java.lang.NoSuchFieldException,
                                             java.lang.IllegalAccessException

      Throws:
        `java.lang.NoSuchFieldException`
        `java.lang.IllegalAccessException`

    - #### copyProperties

          public static <F,T> void copyProperties(F from,
                                                  java.lang.Class<F> stopFromClass,
                                                  T to,
                                                  java.lang.Class<T> stopToClass)